CobolField (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolField class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolField

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolBytes
          com.microfocus.cobol.lang.internal.CobolField

Direct Known Subclasses:
  CobolAlphanumeric, CobolBoolean, CobolNumeric

public abstract class CobolField
extends CobolBytes

Micro Focus Java Support

Since:
  Net Express 4.0
Version:
  3.11, 11/27/02

Field Summary
`protected CobolDescriptor` | `descriptor`
`static int` | `F_BWZ`
`static int` | `F_DBCS`
`static int` | `F_EBCDIC`
`static int` | `F_IBMCOMP`
`static int` | `F_NONE`
`static int` | `F_TRUNC`
`protected int` | `occurs`
`static int` | `S_LEADING_INCLUDED`
`static int` | `S_LEADING_SEPARATE`
`static int` | `S_SIGNED_DEFAULT`
`static int` | `S_TRAILING_INCLUDED`
`static int` | `S_TRAILING_SEPARATE`
`static int` | `S_UNSIGNED`
`static int` | `T_ALPHANUMERIC`
`static int` | `T_BCD`
`static int` | `T_BINARY`
`static int` | `T_DISPLAY`
`static int` | `T_EDITED_ALPHANUMERIC`
`static int` | `T_EDITED_DISPLAY`
`static int` | `T_EDITED_FLOAT`
`static int` | `T_FLOAT`
`static int` | `T_PORTABLE_BINARY`
`static int` | `T_UBCD`

Fields inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`length, offset, record`

Constructor Summary
`CobolField(CobolRecord record, int offset, int length, CobolDescriptor descriptor)`
`CobolField(CobolRecord record, int offset, int length, int occurs, CobolDescriptor descriptor)`

Method Summary
`abstract void` | `setString(String value)`
`abstract String` | `toString()`

Methods inherited from class com.microfocus.cobol.lang.internal.CobolBytes
`getBytesValue, getRecord, setBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### T_DISPLAY

    public static final int T_DISPLAY

See Also:
  Constant Field Values

### T_EDITED_DISPLAY

    public static final int T_EDITED_DISPLAY

See Also:
  Constant Field Values

### T_BINARY

    public static final int T_BINARY

See Also:
  Constant Field Values

### T_PORTABLE_BINARY

    public static final int T_PORTABLE_BINARY

See Also:
  Constant Field Values

### T_BCD

    public static final int T_BCD

See Also:
  Constant Field Values

### T_UBCD

    public static final int T_UBCD

See Also:
  Constant Field Values

### T_FLOAT

    public static final int T_FLOAT

See Also:
  Constant Field Values

### T_EDITED_FLOAT

    public static final int T_EDITED_FLOAT

See Also:
  Constant Field Values

### T_ALPHANUMERIC

    public static final int T_ALPHANUMERIC

See Also:
  Constant Field Values

### T_EDITED_ALPHANUMERIC

    public static final int T_EDITED_ALPHANUMERIC

See Also:
  Constant Field Values

### S_UNSIGNED

    public static final int S_UNSIGNED

See Also:
  Constant Field Values

### S_SIGNED_DEFAULT

    public static final int S_SIGNED_DEFAULT

See Also:
  Constant Field Values

### S_LEADING_INCLUDED

    public static final int S_LEADING_INCLUDED

See Also:
  Constant Field Values

### S_LEADING_SEPARATE

    public static final int S_LEADING_SEPARATE

See Also:
  Constant Field Values

### S_TRAILING_INCLUDED

    public static final int S_TRAILING_INCLUDED

See Also:
  Constant Field Values

### S_TRAILING_SEPARATE

    public static final int S_TRAILING_SEPARATE

See Also:
  Constant Field Values

### F_NONE

    public static final int F_NONE

See Also:
  Constant Field Values

### F_EBCDIC

    public static final int F_EBCDIC

See Also:
  Constant Field Values

### F_DBCS

    public static final int F_DBCS

See Also:
  Constant Field Values

### F_IBMCOMP

    public static final int F_IBMCOMP

See Also:
  Constant Field Values

### F_TRUNC

    public static final int F_TRUNC

See Also:
  Constant Field Values

### F_BWZ

    public static final int F_BWZ

See Also:
  Constant Field Values

### descriptor

    protected CobolDescriptor descriptor

### occurs

    protected int occurs

Constructor Detail

### CobolField

    public CobolField(CobolRecord record,
                      int offset,
                      int length,
                      int occurs,
                      CobolDescriptor descriptor)

### CobolField

    public CobolField(CobolRecord record,
                      int offset,
                      int length,
                      CobolDescriptor descriptor)

Method Detail

### toString

    public abstract String toString()

### setString

    public abstract void setString(String value)
                            throws CobolRecordException

  Throws:
    `CobolRecordException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.